# Interface methods for submodule: MorphologicalWatershedFromMarkersImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: MorphologicalWatershedFromMarkersImageFilter
class MorphologicalWatershedFromMarkersImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetMarkerImage(self, input) -> None:
		""""""
		...

	def GetMarkerImage(self):
		""""""
		...

	def SetInput1(self, input) -> None:
		""""""
		...

	def SetInput2(self, input) -> None:
		""""""
		...

	def SetFullyConnected(self, _arg: bool) -> None:
		""""""
		...

	def GetFullyConnected(self) -> bool:
		""""""
		...

	def FullyConnectedOn(self) -> None:
		""""""
		...

	def FullyConnectedOff(self) -> None:
		""""""
		...

	def SetMarkWatershedLine(self, _arg: bool) -> None:
		""""""
		...

	def GetMarkWatershedLine(self) -> bool:
		""""""
		...

	def MarkWatershedLineOn(self) -> None:
		""""""
		...

	def MarkWatershedLineOff(self) -> None:
		""""""
		...

